
# This code creates the user interface for global.
#
# Copyright (c) 1993 - 1995 Pacific Marketing and Consulting, Inc,
#       and ICEM Systems, GmbH.  All rights reserved.
# Author:  Wayne A. Christopher, wayne@icemcfd.com

proc diag_mismarked_mats {} {
    global mismarked_mats_on
    
    if $mismarked_mats_on {
	command "display_mismarked_materials"
    } else {
	command "erase_mismarked_materials"
    }
}

proc diag_missing_intercepts {} {
    global miss_intercepts_on
    
    if $miss_intercepts_on {
	command "display_missing_intercepts"
	if ![tk_dialog .fix_mi "Fix missing intercepts" \
		"Fix the displayed missing intercepts?" "" -1 Yes No] {
	    command "fix_missing_intercepts"
	}
    } else {
	command "erase_missing_intercepts"
    }
}
